NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey – photo 1
Out of Stock / Please Enquire ETA
NETGEAR

NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey

R7,149
incl. VAT: R8,221
  • Stock: Out of Stock / Please Enquire ETA
  • Brand: NETGEAR
  • Model: GS748-100EUS
  • Weight: 4.19 kg
  • Dimensions: 52 × 34 × 8 cm
  • EAN: 606449174892
  • Product code: 461169
Please Inquire
R7,149 incl. VAT: R8,221
We will email you when the product is back in stock.
SavePDF

Key features

  • 48 x Gigabit Ethernet ports
  • Plug and play switch, no management required
  • Energy Efficient Ethernet for maximum power savings
  • Fanless and silent
  • Rackmount or desktop

Description

PLUG-AND-PLAY

Simple set up with no software to install or configuration needed

NON-BLOCKING SWITCHING

Non-blocking switching architecture for maximum throughput at wire speed

FANLESS DESIGN

Silent operation makes this switch perfect for noise-sensitive environments

VERSATILE MOUNTING OPTIONS

Place your switch on your desktop or mount it to your rack with the hardware provided in the box

ENERGY EFFICIENT

Energy Efficient Ethernet (IEEE 802.3az) standard, which reduces energy consumption when there is light traffic on an active port or when there is no link or no activity detected

QUALITY AND RELIABILITY

Peace of mind with limited lifetime warranty, next business day replacement, and lifetime email and chat support.

Specifications

Management features
Switch type Unmanaged
Quality of Service (QoS) support Yes
MIB support RFC 1213 MIB II, RFC 1643, RFC 1493
Ports & interfaces
Basic switching RJ-45 Ethernet ports quantity 48
Basic switching RJ-45 Ethernet ports type Gigabit Ethernet (10/100/1000)
Network
Networking standards IEEE 802.1p, IEEE 802.3az
Copper ethernet cabling technology 10BASE-T
Full duplex Yes
Flow control support Yes
Link aggregation Yes
Ethernet LAN data rates 1000 Mbit/s
Data transmission
MAC address table 8000 entries
Maximum data transfer rate 1 Gbit/s
Jumbo frames support Yes
Jumbo frames 9.216
Packet buffer memory 1.5 MB
Design
Rack mounting Yes
Product colour Grey
Safety CE mark, cUL IEC950/EN60950
Performance
Mean time between failures (MTBF) 1094297 h
Power
Power source AC
Power consumption (max) 23 W
Power over Ethernet (PoE)
Power over Ethernet (PoE) No
Other features
Latency 2,900ns
Connectivity technology Wired
Authentication method 802.1x
I/O ports 48 x 10/100/1000 Mbps 4 x SFP
Electromagnetic emissions CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick
Operational conditions
Operating temperature (T-T) 0 - 50 °C
Operating relative humidity (H-H) 10 - 90%
Weight & dimensions
Width 440 mm
Depth 202 mm
Height 43 mm
Weight 3.2 kg
Certificates
Compliance certificates Federal Communications Commission (FCC)
Synology 4GB DDR4-2666 SODIMM RAM for RS820RP+ RS820+ DVA3219
✅ In Stock
Brand: SYNOLOGY
R7,149
incl. VAT:R8,221
Add to Cart
ANW 6000 8G CL4 2F 67W SW-STOCK - .
✅ In Stock
Brand: HPE
R7,144
incl. VAT:R8,216
Add to Cart
NETGEAR GS524PP Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
✅ In Stock
Brand: NETGEAR
Instant Connectivity with Reliable PerformanceThe NETGEAR Gigabit Unmanaged Switch series helps your business cost-effectively expand your network to ..
R7,154
incl. VAT:R8,227
Add to Cart
NETGEAR 8-port Ultra60 PoE++ Multi-Gigabit (2.5G) Ethernet Plus Switch Managed L2/L3 2.5G Ethernet (100/1000/2500) Power over Ethernet (PoE) Grey
✅ In Stock
Brand: NETGEAR
Provides 8 ports 1G/2.5G with 4 PoE+ ports and 4 Ultra60 PoE++ ports making it a perfect switch for WiFi 6 AP connectivity, IP surveillance and more.M..
R7,154
incl. VAT:R8,227
Add to Cart
NETGEAR GS324TPv2 Managed L2/L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black
✅ In Stock
Brand: NETGEAR
R7,129
incl. VAT:R8,198
Add to Cart
ROLINE Power Injector 90 Watt Output Connections- 1
✅ In Stock
Brand: ROLINE
R7,125
incl. VAT:R8,194
Add to Cart
ALLNET Switch Industrial Full Managed Layer2+ 6 Port GbE PoE Budget 360W 4x Bt 2x Switch Glass ALLNET Switch Industrial Full Managed Layer2+ 6 Port GbE PoE Budget 360W 4x Bt 2x Switch Glass
✅ In Stock
Brand: ALLNET
R7,125
incl. VAT:R8,194
Add to Cart
LevelOne Hilbert 18-Port Gigabit PoE Smart Lite Switch, 16 PoE Outputs, 2 x Gigabit SFP, 802.3at/af PoE, 230W PoE Power Budget
✅ In Stock
Brand: LEVELONE
The LevelOne GES-2118P Hilbert gigabit PoE smart lite switch is a next-generation Ethernet Switch offering powerful better PoE functionality and usabi..
R7,172
incl. VAT:R8,248
Add to Cart